org.eclipse.actf.ui.util

## Class AbstractPartListener

- java.lang.Object
- - org.eclipse.actf.ui.util.AbstractPartListener

All Implemented Interfaces:
  org.eclipse.ui.IPartListener2

    public abstract class AbstractPartListener
    extends Object
    implements org.eclipse.ui.IPartListener2

Abstract implementation of `IPartListener2`. Clients can override some of the methods based on their purpose.

### Constructor Summary

Constructors
Constructor and Description
`AbstractPartListener()`

### Method Summary

Methods
`void` `partBroughtToTop(org.eclipse.ui.IWorkbenchPartReference partRef)`
`void` `partClosed(org.eclipse.ui.IWorkbenchPartReference partRef)`
`void` `partDeactivated(org.eclipse.ui.IWorkbenchPartReference partRef)`
`void` `partHidden(org.eclipse.ui.IWorkbenchPartReference partRef)`
`void` `partInputChanged(org.eclipse.ui.IWorkbenchPartReference partRef)`
`void` `partOpened(org.eclipse.ui.IWorkbenchPartReference partRef)`
`void` `partVisible(org.eclipse.ui.IWorkbenchPartReference partRef)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.ui.IPartListener2

`partActivated`

### Constructor Detail

#### AbstractPartListener

    public AbstractPartListener()

### Method Detail

#### partBroughtToTop

    public void partBroughtToTop(org.eclipse.ui.IWorkbenchPartReference partRef)

Specified by:
  `partBroughtToTop` in interface `org.eclipse.ui.IPartListener2`

#### partClosed

    public void partClosed(org.eclipse.ui.IWorkbenchPartReference partRef)

Specified by:
  `partClosed` in interface `org.eclipse.ui.IPartListener2`

#### partDeactivated

    public void partDeactivated(org.eclipse.ui.IWorkbenchPartReference partRef)

Specified by:
  `partDeactivated` in interface `org.eclipse.ui.IPartListener2`

#### partOpened

    public void partOpened(org.eclipse.ui.IWorkbenchPartReference partRef)

Specified by:
  `partOpened` in interface `org.eclipse.ui.IPartListener2`

#### partHidden

    public void partHidden(org.eclipse.ui.IWorkbenchPartReference partRef)

Specified by:
  `partHidden` in interface `org.eclipse.ui.IPartListener2`

#### partVisible

    public void partVisible(org.eclipse.ui.IWorkbenchPartReference partRef)

Specified by:
  `partVisible` in interface `org.eclipse.ui.IPartListener2`

#### partInputChanged

    public void partInputChanged(org.eclipse.ui.IWorkbenchPartReference partRef)

Specified by:
  `partInputChanged` in interface `org.eclipse.ui.IPartListener2`